| AngelScript |

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
The script language

This is the reference documentation for the AngelScript scripting language.

- Global entities
- Statements
- Expressions
- Data types
- Functions
- Script classes
- Object handles
- Shared script entities
- Operator precedence
- Reserved keywords and tokens
- Script language grammar